Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Need to reinstall YAST

  1. #1

    Default Need to reinstall YAST

    I was removing some applications from within YAST and when I finished and exited YAST I could not get back in. The link from withing he start menu was missing and I could not start it from the command line.

    I went to opensuse.org and tried to use the one click installation but that did not work so I used zypper to install it instead.

    Now I can type YAST2 at the command line but all I get is empty window.

    Any suggestions on how I can get YAST reinstalled?

    Thanks

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Need to reinstall YAST

    try:

    zypper in yast* -f
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Need to reinstall YAST

    I tried zypper in yast* -f and it installed a bunch of rpm files and now I can open YAST2 and the options are there but every time i select one I get the follower error message

    terminate called after throwing an instance of 'YUIPluginException'
    what(): Couldn't load plug-in qt
    YaST got signal 6 at YCP file Wizard.ycp:707
    /sbin/yast2: line 454: 14414 Aborted $ybindir/y2base $module "$@" "$SELECTED_GUI" $

    I tried removing all of the yast2-qt packages and then reinstalled them with zypper but I am still getting the same error message.

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Need to reinstall YAST

    What version of openSUSE is this?
    And what desktop are you using?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Need to reinstall YAST

    I am using OpenSUSE 11.1 and KDE.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Need to reinstall YAST

    Now please open a terminal and post result of this

    zypper lr -d
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Need to reinstall YAST

    zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+--------------------------------------+--------------------------------------------+---------+---------+----------+--------+---------------------------------------------------------------------------------------------------+--------
    1 | -c | -c | Yes | No | 99 | rpm-md | Index of /distribution/11.2/repo/oss/suse |
    2 | 20091025-132043 | 20091025-132043 | Yes | Yes | 99 | rpm-md | Index of /repositories/X11:/windowmanagers/openSUSE_11.1 |
    3 | home:mmj:branches11:windowmanagers | home:mmj:branches11:windowmanagers | Yes | Yes | 99 | rpm-md | Index of /repositories/home:/mmj:/branches:/X11:/windowmanagers/openSUSE_11.1 |
    4 | network_utilities | Network Utilities (openSUSE_11.2) | Yes | Yes | 99 | rpm-md | Index of /repositories/network:/utilities/openSUSE_11.2 |
    5 | openSUSE:11.1 | openSUSE:11.1 | No | Yes | 99 | yast2 | Index of /distribution/11.1/repo/oss |
    6 | repo | Main Repository (NON-OSS) | Yes | Yes | 99 | yast2 | Index of /distribution/11.1/repo/non-oss |
    7 | repo-debug | openSUSE-11.1-Debug | Yes | Yes | 100 | yast2 | Index of /debug/distribution/11.1/repo/oss |
    8 | repo-non-oss | openSUSE-11.1-Non-Oss | Yes | No | 99 | yast2 | Index of /distribution/11.1/repo/non-oss |
    9 | repo-oss | openSUSE-11.1-Oss | Yes | No | 99 | yast2 | Index of /distribution/11.1/repo/oss |
    10 | repo-source | openSUSE-11.1-Source | Yes | Yes | 100 | yast2 | Index of /source/distribution/11.1/repo/oss |
    11 | repo-update | openSUSE-11.1-Update | Yes | No | 99 | rpm-md | Index of /update/11.1 |
    12 | repo_1 | Main Repository (OSS) | Yes | Yes | 99 | yast2 | Index of /distribution/11.1/repo/oss |
    13 | repo_2 | openSUSE BuildService - XFCE | Yes | Yes | 99 | rpm-md | Index of /repositories/X11:/xfce/openSUSE_11.1 |
    14 | repo_3 | openSUSE BuildService - KDE:Community | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/Community/openSUSE_11.1 |
    15 | repo_4 | openSUSE BuildService - Mozilla | Yes | Yes | 99 | rpm-md | Index of /repositories/mozilla/openSUSE_11.1 |
    16 | repo_5 | openSUSE BuildService - Database | Yes | Yes | 99 | rpm-md | Index of /repositories/server:/database/openSUSE_11.1 |
    17 | repo_6 | openSUSE BuildService - PHP | Yes | Yes | 99 | rpm-md | Index of /repositories/server:/php/openSUSE_11.1 |
    18 | repo_7 | Main Update Repository | Yes | Yes | 99 | rpm-md | Index of /update/11.1 |
    19 | repo_8 | Packman Repository | No | No | 99 | rpm-md | Index of /pub/packman/suse/11.1 |
    20 | server_monitoring | Server Monitoring Software (openSUSE_11.2) | Yes | Yes | 99 | rpm-md | Index of /repositories/server:/monitoring/openSUSE_11.2

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Need to reinstall YAST

    deleted - please wait
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Need to reinstall YAST

    Sorry. I think you need to be more radical.

    I suggest removing anything that is for 11.2
    As you are using 11.1

    My personal recommendation would be to use the repos listed here:
    Multi-media and Restricted Format Installation Guide - openSUSE Forums
    # | Alias | Name | Enabled | Refresh | Priority |
    1 | packman | packman | Yes | Yes | 90 |
    2 | Updates | Updates | Yes | Yes | 99 |
    3 | Non-oss | Non-oss | Yes | Yes | 120 |
    4 | Oss | Oss | Yes | Yes | 120 |
    Then do

    Code:
    zypper ref
    Code:
    zypper dup
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  10. #10

    Default Re: Need to reinstall YAST

    Thanks. It took a while but I just finished the zypper dup and it looks like the issue is resolved.

    Thanks for the help.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •